> ## Documentation Index
> Fetch the complete documentation index at: https://docs.appz.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a list of projects

> Allows to retrieve the list of projects of the authenticated user or team. The list will be paginated and the provided query parameters allow filtering the returned projects.



## OpenAPI

````yaml GET /projects
openapi: 3.1.0
info:
  version: 1.0.0
  title: Appz Api
servers:
  - url: https://api.youappz.dev
    description: Production API
security:
  - Bearer: []
paths:
  /projects:
    get:
      tags:
        - projects
      parameters:
        - schema:
            type: string
            description: >-
              The Team identifier or Team slug to perform the request on behalf
              of.
            query:
              name: teamId
              in: query
            example: team_xbtegd63gdg5636gdg
          required: true
          name: teamId
          in: query
        - schema:
            type: integer
            description: Maximum number of projects to list from a request
            query:
              name: limit
              in: query
            example: 20
          required: false
          name: limit
          in: query
        - schema:
            type: integer
            description: Get projects created after this JavaScript timestamp
            query:
              name: since
              in: query
            example: '1540095775941'
          required: false
          name: since
          in: query
        - schema:
            type: integer
            description: Get projects created before this JavaScript timestamp
            query:
              name: until
              in: query
            example: '1540095775941'
          required: false
          name: until
          in: query
      responses:
        '200':
          description: The paginated list of projects
          content:
            application/json:
              schema:
                type: object
                properties:
                  projects:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        name:
                          type:
                            - string
                            - 'null'
                        teamId:
                          type:
                            - string
                            - 'null'
                        alias:
                          type:
                            - string
                            - 'null'
                        buildCommand:
                          type:
                            - string
                            - 'null'
                        devCommand:
                          type:
                            - string
                            - 'null'
                        installCommand:
                          type:
                            - string
                            - 'null'
                        framework:
                          type:
                            - string
                            - 'null'
                        outputDirectory:
                          type:
                            - string
                            - 'null'
                        commandForIgnoringBuildStep:
                          type:
                            - string
                            - 'null'
                        createdAt:
                          type: number
                        updatedAt:
                          type: number
                      required:
                        - id
                        - name
                        - teamId
                        - alias
                        - buildCommand
                        - devCommand
                        - installCommand
                        - framework
                        - outputDirectory
                        - commandForIgnoringBuildStep
                        - createdAt
                        - updatedAt
                  pagination:
                    type: object
                    properties:
                      count:
                        type: number
                        description: Amount of items in the current page.
                        example: 20
                      next:
                        type:
                          - number
                          - 'null'
                        description: Timestamp that must be used to request the next page.
                        example: 1540095775951
                      prev:
                        type:
                          - number
                          - 'null'
                        description: >-
                          Timestamp that must be used to request the previous
                          page.
                        example: 1540095775951
                    required:
                      - count
                      - next
                      - prev
                    description: >-
                      This object contains information related to the pagination
                      of the current request, including the necessary parameters
                      to get the next or previous page of data.
                    title: Pagination
                required:
                  - projects
                  - pagination
        '400':
          description: Returns a validation error
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: number
                    example: 400
                  message:
                    type: string
                    example: >-
                      One of the provided values in the request body/query is
                      invalid
                required:
                  - code
                  - message
        '401':
          description: ''
        '403':
          description: You do not have permission to access this resource.
components:
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer

````